/*メニュー
-----------------------------------------*/

/* 背景画像 */
#page.menu
{
    background-image: url(../images/common/img_wood_bk_2x.jpg);
    margin-bottom: 0;
    z-index: -1;
}

#page.menu
{
    background-image: url(../images/common/img_wood_bk_2x.jpg);
    margin-bottom: 0;
    z-index: -1;
}

/* アンカースクロール位置調整 */
.anchor-space
{
    padding-top: 64px;
    margin-top: -64px;
}

@media (min-width: 1141px)
{
    .anchor
    {
        padding-top: 80px;
        margin-top: -80px;
    }
}

@media (min-width: 769px)
{
    #page.menu
    {
        margin-bottom: 0;
    }
}

/* ページ内リンク　*/
.menu__anker-link li
{
    text-align: center;
    line-height: 1.2;
    border: 2px solid var(--secondary-600);
    border-radius: 8px;
    background: url(../images/common/icon_arrow-down-circle-fill.svg) no-repeat center right 16px / 16px 16px;
    max-width: 440px;
    background-color: var(--white);
    width: calc((100% - 8px) / 2);
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
}

.menu__anker-link li a
{
    display: block;
    width: 100%;
    padding: 10px 36px 10px 16px;
}

.menu__anker-block,
.grand-menu__anker-block
{
    margin-top: 40px;
}

.menu__anker-link
{
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
    justify-content: center;
    align-items: stretch;
}

.grand-menu__anker-block li
{
    width: calc((100% - 8px) / 2);
}

@media (min-width: 769px)
{
    .menu__anker-link
    {
        font-size: 18px;
    }

    .menu__anker-link li a
    {
        padding: 10px 44px 10px 24px;
    }

    .menu__anker-link li:hover
    {
        background: url(../images/common/icon_arrow-down-circle-fill_white.svg) no-repeat center right 16px / 16px 16px;
        background-color: var(--secondary-600);
        transition: 0.3s;
        color: var(--white);
    }

    .menu__anker-link li
    {
        width: calc((100% - (8px * 3)) / 4);
        height: 72px;
    }

    .grand-menu__anker-block .menu__anker-link li
    {
        width: calc((100% - (8px * 4)) / 5);
        height: 72px;
    }
}

/* メニューレイアウト */

.menu .inner__m
{
    max-width: 440px;
}

@media (min-width: 769px)
{
    .menu .inner__m
    {
        max-width: 1080px;
    }

    .block-reverse
    {
        flex-direction: row-reverse;
    }

    .menu__body .mainttl
    {
        font-size: 32px;
    }
}

.menu__thmb img
{
    width: 100%;
    border-radius: 8px;
}

.menu__text__ttl
{
    display: flex;
}

.menu__text__ttl img
{
    padding-right: 8px;
}

.menu__text
{
    margin-top: 32px;
}

.menu__text p
{
    margin-top: 24px;
}

.menu__link a
{
    color: var(--primary-700);
    text-decoration: underline;
    text-align: right;
    display: flex;
    column-gap: 4px;
    justify-content: flex-end;
    cursor: pointer;
}

.menu__body .button-s
{
    margin: 32px auto;
    display: flex;
    align-items: center;
}

.menu-block
{
    border-bottom: 3px dotted var(--secondary-400);
    margin-top: 20px;
}

.border-none
{
    border: none;
    margin-bottom: 0;
}

@media (min-width: 769px)
{

    .menu-block
    {
        margin-top: 56px;
        padding-bottom: 64px;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .menu__link a:hover
    {
        text-decoration: none;
    }

    .menu__thmb
    {
        width: 42%;
    }

    .menu__body
    {
        width: 53%;
    }

    .menu__thmb img
    {
        width: 100%;
        height: 302px;
        object-fit: cover;
    }
}


/* ハイビスカス配置 */

.check__flower-left
{
    display: none;
}

@media (min-width: 769px)
{
    .check__flower-left
    {
        display: block;
        position: absolute;
        left: -80px;
        top: 0;
    }

    .check__flower-left img
    {
        width: 360px;
        height: 360px;
    }
}

.check__flower-right
{
    display: none;
}

@media (min-width: 769px)
{
    .check__flower-right
    {
        display: block;
        position: absolute;
        right: 0;
        bottom: 220px;
    }

    img.check__flower-right
    {
        width: 282px;
        height: 376px;
    }
}

/* グランドメニュー */
.menu .button-s
{
    display: flex;
    text-align: center;
}

.grand-menu .check_fair
{
    margin-top: 64px;
}

.grand-menu .anchor-space .menu-block
{
    border-bottom: none;
}

@media (min-width: 769px)
{
    .grand-menu .check_fair
    {
        margin-top: 120px;
    }

    .grand-menu .anchor-space:nth-child(odd) .menu-block
    {
        flex-direction: row-reverse;
    }
}

.grand-menu__text
{
    margin-top: 16px;
}

.grand-menu__text .subttl
{
    color: var(--primary-700);
}

.grand-menu__text .menu__text__ttl
{
    margin-bottom: 16px;
}

.grandmenu-button
{
    margin: 40px auto 0;
    display: block;
}

.grand-menu__top
{
    padding-top: 30px;
    border-top: 3px dotted var(--secondary-400);
}

.grand-menu__bottom
{
    margin-bottom: 16px;
}

@media (min-width: 769px)
{
    .grand-menu__top
    {
        padding-top: 56px;
        border-top: 3px dotted var(--secondary-400);
    }

    .grandmenu-button a
    {
        width: 400px
    }

}

/* フェア -----------------------------------------*/

.check_fair
{
    background-image: none;
    position: relative;
    padding: 0;
    margin-top: 0;
}

.check_fair__bk
{
    background-color: var(--white);
    padding-bottom: 92px;
    margin-bottom: -92px;
}

@media (min-width: 769px)
{
    .check_fair__bk
    {
        padding-bottom: 220px;
        margin-bottom: -220px;
    }
}

.card-list
{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(306px, 1fr));
    /* widthを306pxをきるとカラム落ち */
    gap: 40px;
    margin: 32px auto 0;
    max-width: 1120px;

}

.card__body time
{
    color: var(--primary-700);
    font-family: "Outfit", sans-serif;
    font-size: 14px;
}

.card__thmb
{
    overflow: hidden;
}

.card__thmb img
{
    width: 100%;
    height: 200px;
    object-fit: cover;
    transition: transform .3s ease;
}

.card:hover img
{
    transform: scale(1.1);
}

.card:hover .card__link
{
    color: var(--primary-700);
}

.card-item
{
    background-color: var(--white);
    padding: 20px 20px 64px 20px;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.2);
    position: relative;
}

.card__body
{
    margin-top: 16px;
}

.card__link
{
    margin-top: 8px;
    display: flex;
    gap: 8px;
    justify-content: flex-end;
    position: absolute;
    bottom: 24px;
    right: 32px;
    font-size: 14px;
}

.card__text
{
    margin-top: 8px;
    overflow: hidden;
    display: -webkit-box;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    /* ブラウザがサポートしていない場合のフェールセーフ */
    max-height: 54px;
    /* テキスト３行以上で３点リーダーをつける */
}